.TH Command FIRE
.SY "fire <TARGET[/list]> <CANNON[/list]> [number-of-GUNS]"
The fire command is used to shoot up land sectors or ships.
.s3
The first parameter is the target spec.  This can be a either
single target, or slash-separated list of targets.  Each target 
may be either a sector or a
ship, and must be precisely specified; for example, "-10,20",
"83", or "USS Enterprise".  No ranges, realms, or wildcards
are permitted.  If left unspecified, you will be prompted
for a target spec.
.s3
The second parameter is the cannon spec.  Like with the 
target, this can be either a single location, or a slash-separated
list of locations.  Each cannon can be either a sector (usually
a fort) or a ship, and need not be precisely identified.
Sectors can be specified as ranges, radii, or realms; ships
can be wildcarded; the entire cannon spec can be qualified by
"?" conditionals.
.s3
Generally, the only sector that may fire is a fortress,
although game configuration may make it possible for any
sector to fire a limited distance if it contains military,
guns, and shells.  Guns must have a range capable of
reaching the target; for forts, range is equal to the 
\*Qnumber\*U of guns, (with a maximum of 7), times the 
technology factor (which has a maximum of 1).  See `\*Qinfo 
technology\*U' for more details.
.s3
Any military ship may fire as long as it has at least one
crew (which must be military, not civilians), at least one gun,
at least one shell, and has at least 60% efficiency.
If the ship can fire more than one gun and a number of guns
was not specified on the command line, the program will ask how many
you wish to fire.  Ships equipped with depth charges will
automatically use 2 shells per depth charge when firing at
a submerged sub.  See `\*Qinfo ship-types\*U' for gun ranges.
.s3
If you specify multiple targets, each cannon location will
semi-randomly select a target from your list (the selection
tries to bias toward foreign, nearby targets).
Cannon locations that are blatantly incapable of reaching
any target are eliminated from the list before the shooting
starts.  It is possible, however, for some locations to
fire and fall short of the target.
.s3
As each cannon fires, you will see a satisfying \*QKaBOOM\*U
and, assuming you were in range, inflicts damage.
Ships lose 15 mobility points for each shot fired.
The damages inflicted vary with efficiency of the attacker,
the size of the guns (battleship guns are four times as 
big as patrol boat guns), the number of guns fired, etc.
.s1
A table of approximate damages looks like:
.NF
    From    To      Range of damages
    ----    ----    ----------------
    land    land    11% .. 16%
    land    sea     14% .. 49%
    pat *   land    7%
    pat *   sea     9% .. 28%
    bat **  land    25%
    bat **  sea     30% .. 64%
.FI
* pat here is a patrol boat firing a single gun,
(the wimpiest sea gun available)
.br
** bat means a battleship firing four guns at once.
.s3
After your shelling is over, each target nation WILL attempt
to retaliate by using any or all of its ships and forts that
are within range to fire back at each of your artillery 
locations.
.s3
See also : attack, assault, torpedo, technology
